#ifndef __itkekLoadSaveAffineTransform_h
#define __itkekLoadSaveAffineTransform_h


#include "itkekMacro.h"
#include "itkPoint.h"
#include <vector>


namespace itkek
{



// This class contains various utility functions.

class ITK_EXPORT LoadSaveAffineTransform 
{
public:
      


   template <class AffineTransformSmartPointer>
   static int LoadAffineTransform(const char* const filename, 
				  const AffineTransformSmartPointer transform, 
				  const bool invert=false);

   // This function saves an affine transform
   template <class AffineTransformSmartPointer>
   static int SaveAffineTransform(const char* const  filename, 
				  const AffineTransformSmartPointer transform);





private:

  LoadSaveAffineTransform(); //purposely not implemented
  virtual ~LoadSaveAffineTransform(); //purposely not implemented

  LoadSaveAffineTransform(const LoadSaveAffineTransform&); //purposely not implemented
  void operator=(const LoadSaveAffineTransform&); //purposely not implemented
   
};


  
} // end namespace itkek

#ifndef ITK_MANUAL_INSTANTIATION
#include "itkekLoadSaveAffineTransform.txx"
#endif

#endif
